local springtypes = {
	[MT_SHGSPRG] = {socname = "GREHORI", color = GREY,   orientation = HORIZONTAL, vforce = mobjinfo[MT_SHGSPRG].mass, hforce = mobjinfo[MT_SHGSPRG].damage},
	[MT_SDGSPRG] = {socname = "GREDIAG", color = GREY,   orientation = DIAGONAL,   vforce = mobjinfo[MT_SDGSPRG].mass, hforce = mobjinfo[MT_SDGSPRG].damage},
	[MT_SVGSPRG] = {socname = "GRESPRG", color = GREY,   orientation = VERTICAL,   vforce = mobjinfo[MT_SVGSPRG].mass, hforce = mobjinfo[MT_SVGSPRG].damage},
	[MT_SHYSPRG] = {socname = "YELHORI", color = YELLOW, orientation = HORIZONTAL, vforce = mobjinfo[MT_SHYSPRG].mass, hforce = mobjinfo[MT_SHYSPRG].damage},
	[MT_SDYSPRG] = {socname = "YELDIAG", color = YELLOW, orientation = DIAGONAL,   vforce = mobjinfo[MT_SDYSPRG].mass, hforce = mobjinfo[MT_SDYSPRG].damage},
	[MT_SVYSPRG] = {socname = "YELSPRG", color = YELLOW, orientation = VERTICAL,   vforce = mobjinfo[MT_SVYSPRG].mass, hforce = mobjinfo[MT_SVYSPRG].damage},
	[MT_SHRSPRG] = {socname = "REDHORI", color = RED,    orientation = HORIZONTAL, vforce = mobjinfo[MT_SHRSPRG].mass, hforce = mobjinfo[MT_SHRSPRG].damage},
	[MT_SDRSPRG] = {socname = "REDDIAG", color = RED,    orientation = DIAGONAL,   vforce = mobjinfo[MT_SDRSPRG].mass, hforce = mobjinfo[MT_SDRSPRG].damage},
	[MT_SVRSPRG] = {socname = "REDSPRG", color = RED,    orientation = VERTICAL,   vforce = mobjinfo[MT_SVRSPRG].mass, hforce = mobjinfo[MT_SVRSPRG].damage},
	[MT_SHBSPRG] = {socname = "BLUHORI", color = BLUE,   orientation = HORIZONTAL, vforce = mobjinfo[MT_SHBSPRG].mass, hforce = mobjinfo[MT_SHBSPRG].damage},
	[MT_SDBSPRG] = {socname = "BLUDIAG", color = BLUE,   orientation = DIAGONAL,   vforce = mobjinfo[MT_SDBSPRG].mass, hforce = mobjinfo[MT_SDBSPRG].damage},
	[MT_SVBSPRG] = {socname = "BLUSPRG", color = BLUE,   orientation = VERTICAL,   vforce = mobjinfo[MT_SVBSPRG].mass, hforce = mobjinfo[MT_SVBSPRG].damage}
}

for k,v in pairs(springtypes) do
	addHook("MobjThinker", function(mobj)
		if not (mobj and mobj.valid) then return end
		if not mapheaderinfo[gamemap].springscale then return end
		mobj.scale = FRACUNIT - FRACUNIT/6
	end, k)
end