local executor = false
local floorspecials = {}
local anywherespecials = {}
local backupfunc = {}
local lineaction = 0

local function FindLinedefs()
	executor = false
	floorspecials = {}
	anywherespecials = {}
	if not mapheaderinfo[gamemap].mobj_executelinetype then return end
	executor = true
	lineaction = tonumber(mapheaderinfo[gamemap].mobj_executelinetype)
	for sector in sectors.iterate do
		if not (sector and sector.valid) then continue end
		// no
		if not (GetSecSpecial(sector.special, 2) == 4 
		or GetSecSpecial(sector.special, 2) == 5) then 
		continue end
		print("found valid sextor special! now trying to find valid line,,")
		
		local found = false
		for line in lines.iterate do
			if not (line and line.valid) then continue end
			// no
			if line.tag ~= sector.tag then continue end
			print("found a line with the sector's tag~")
			if line.special ~= 301 then continue end
			print("found a line with special 301 on sector's tag~")
			local flines = line.frontsector.lines
			for k=0,#flines,1 do
				if not (flines[k] and flines[k].valid) then continue end
				if flines[k].special ~= lineaction then continue end
				print("found the final line!")
				found = true
				break
			end
			if found then break end
		end
		// die
		if not found then break end
		
		if GetSecSpecial(sector.special, 2) == 5 then
			print("added sector to floor sectors to check")
			floorspecials[#sector] = sector
			backupfunc[#sector] = rawget(_G, mapheaderinfo[gamemap].mobj_executelinefunc)
		elseif GetSecSpecial(sector.special, 2) == 4 then
			print("added sector to anywhere sectors to check")
			anywherespecials[#sector] = sector
			backupfunc[#sector] = rawget(_G, mapheaderinfo[gamemap].mobj_executelinefunc)
		end
	end
end

addHook("MapLoad", FindLinedefs)

local function MobjHooker(mobj)
	if not executor then return end
	if not (mobj and mobj.valid) then return end
	if mobj.player and mobj.player.valid then return end // no need to run this for players
	local flagger = mobj.flags
	if flagger & MF_PUSHABLE then return end // pushables already interact with these sextors
	if flagger & MF_SCENERY then return end // no need to
	if flagger & MF_NOBLOCKMAP then return end // no.
	if not ((mobj.flags&MF_MISSILE) or (mobj.flags&MF_ENEMY) or (mobj.flags&MF_FIRE) or (mobj.flags&MF_PAIN) or (mobj.flags&MF_BOUNCE)) then return end
	if not (mobj.subsector and mobj.subsector.valid) then return end
	if not (mobj.subsector.sector and mobj.subsector.sector.valid) then return end
	local finalsextor = mobj.subsector.sector
	if P_IsObjectOnGround(mobj) and floorspecials[#finalsextor] then
		if backupfunc[#finalsextor] then
			backupfunc[#finalsextor](finalsextor.tag, mobj, finalsextor)
		end
	end
end

addHook("MobjThinker", MobjHooker)