// Allows offroad usage on intangible fofs

local CVAROFFROADVERSION = 1

if haya_offroaddef == nil then
	rawset(_G, "haya_offroaddef", {})
end

if haya_offroaddef.ver == nil or haya_offroaddef.ver < CVAROFFROADVERSION then
-- start

local NOSOFTLOCK			= ML_NOSONIC	-- no sonic flag
local SPRINGJUMP			= ML_NOKNUX 	-- no knuckles flag
local SOCFREESLOT			= ML_NOTAILS 	-- no tails flag

local FRACUNIT				= FRACUNIT
local FRACBITS				= FRACBITS
local TICRATE				= TICRATE
local k_offroad				= k_offroad

haya_offroaddef.offroadTiem = function(line, playerMo, sector)
	if playerMo == nil then return end
	-- Player only, bitch
	if playerMo.player == nil then return end
	if P_IsObjectOnGround(playerMo) == false then return end
	
	local player = playerMo.player
	local foffroad = 0
	
	player.coffroad_timer = $ or 0

	// scale these down to normal int32
	local offroadStrength = line.frontside.textureoffset>>FRACBITS
	if offroadStrength == 0 then 
		player.coffroad_timer = 0
		return 
	end // ok whatever nerd
	
	if player.coffroad_timer == 0 then
		player.coffroad_timer = TICRATE/2
	end
	
	if player.coffroad_timer > 0 then
		foffroad = (offroadStrength << FRACBITS) / (TICRATE/2)
		
		player.coffroad_timer = $ + foffroad
	end
	
	if player.coffroad_timer > (offroadStrength << FRACBITS) then
		player.coffroad_timer = (offroadStrength << FRACBITS)
	end
	
	//print(player.coffroad_timer)
end

if haya_offroaddef.ver == nil then
	addHook("LinedefExecute",
	function(line, playerMo, sector)
		haya_offroaddef.offroadTiem(line, playerMo, sector)
	end, "OFRODFLR")
	
	addHook("PostThinkFrame",
	function()
		for p in players.iterate do
			if p.coffroad_timer then
				print(string.format("i am a fuck: %d", p.coffroad_timer))
				p.kartstuff[k_offroad] = p.coffroad_timer
			end
		end
	end)
end

-- end
haya_offroaddef.ver = CVAROFFROADVERSION
end